audio_transcriptions
POST
/v1/audio/transcriptions
const url = 'https://example.com/v1/audio/transcriptions';const form = new FormData();form.append('file', 'file');form.append('language', 'example');form.append('model', 'example');form.append('prompt', 'example');form.append('response_format', 'json');form.append('stream', 'true');form.append('temperature', '1');
const options = {method: 'POST'};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/audio/transcriptions \ --header 'Content-Type: multipart/form-data' \ --form file=@file \ --form language=example \ --form model=example \ --form prompt=example \ --form response_format=json \ --form stream=true \ --form temperature=1Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “ Responses ”Transcript as JSON, text, or streaming events
Invalid audio or unsupported parameters